Package com.collibra.dgc.core.api.dto.workflow

# Enum Class FindWorkflowTasksRequest.WorkflowTaskUserRelation

Object
Enum<FindWorkflowTasksRequest.WorkflowTaskUserRelation>
WorkflowTaskUserRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<FindWorkflowTasksRequest.WorkflowTaskUserRelation>`, `Constable`

Enclosing class:
  `FindWorkflowTasksRequest`

public static enum FindWorkflowTasksRequest.WorkflowTaskUserRelation extends Enum<FindWorkflowTasksRequest.WorkflowTaskUserRelation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Return ALL tasks the user is allowed to view.
  `ASSIGNED`
  Return only tasks assigned to the current user.
  `MY_OVERDUE`
  Returns tasks that are assigned to the current user and are already past due.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowTasksRequest.WorkflowTaskUserRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindWorkflowTasksRequest.WorkflowTaskUserRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final FindWorkflowTasksRequest.WorkflowTaskUserRelation ALL
    Return ALL tasks the user is allowed to view.

  - ### ASSIGNED

    public static final FindWorkflowTasksRequest.WorkflowTaskUserRelation ASSIGNED
    Return only tasks assigned to the current user.

    If a user is provided in the filter, it is required that the user is a guest user. It is not allowed to retrieve assigned tasks for other regular users.

  - ### MY_OVERDUE

    public static final FindWorkflowTasksRequest.WorkflowTaskUserRelation MY_OVERDUE
    Returns tasks that are assigned to the current user and are already past due.

- ## Method Details

  - ### values

    public static FindWorkflowTasksRequest.WorkflowTaskUserRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindWorkflowTasksRequest.WorkflowTaskUserRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null